import React from 'react';
import ReactDOM from 'react-dom';

class AdvancedBookingForm extends React.Component {
  // Delegate the actions to the parent component.
  handleModalSelectChange = (e) => {
    this.props.handleModalSelectChange(e);
  }
  handleStartDateChange = (e) => {
    this.props.handleStartDateChange(e);
  };
  handleStartTimeChange = (e) => {
    this.props.handleStartTimeChange(e);
  };
  handleEndDateChange = (e) => {
    this.props.handleEndDateChange(e);
  };
  handleEndTimeChange = (e) => {
    this.props.handleEndTimeChange(e);
  };
  handleBookingSave = () => {
    this.props.handleBookingSave();
  };
  handleBookingDelete = () => {
    this.props.handleBookingDelete();
  };
  closeModal = () => {
    this.props.closeModal();
  };

  render() {
    return (
      <div>
        <form className="advanced-booking-form">
          <div className="form-group">
            <label htmlFor="advanced-booking-form-state-select">State</label>
            <select
              className="form-control"
              id="advanced-booking-form-state-select"
              value={this.props.modalStateSelect}
              onChange={this.handleModalSelectChange}>
              {Object.keys(this.props.dataStates).map(key => {
                return <option key={key} value={key}>{this.props.dataStates[key]}</option>;
              })};
            </select>
          </div>
          <div className='row'>
            <div className="form-group col">
              <label htmlFor="advanced-booking-form-state-period-start-date">From</label>
              <input
                className="form-control"
                id="advanced-booking-form-state-period-start-date"
                type="date"
                placeholder="YYYY-mm-dd"
                required pattern="[0-9]{2}.[0-9]{2}.[0-9]{4}"
                value={this.props.modalStartDate}
                onChange={this.handleStartDateChange}
              />
              <input
                className="form-control"
                id="advanced-booking-form-state-period-start-time"
                type="time"
                placeholder="HH:mm"
                required pattern="[0-9]{2}:[0-9]{2}"
                value={this.props.modalStartTime}
                onChange={this.handleStartTimeChange}
              />
            </div>
            <div className="form-group col">
              <label htmlFor="advanced-booking-form-state-period-ebd-date">To</label>
              <input
                className="form-control"
                id="advanced-booking-form-state-period-ebd-date"
                type="date"
                placeholder="YYYY-mm-dd"
                required pattern="[0-9]{2}.[0-9]{2}.[0-9]{4}"
                value={this.props.modalEndDate}
                onChange={this.handleEndDateChange}
              />
              <input
                className="form-control"
                id="advanced-booking-form-state-period-end-time"
                type="time"
                placeholder="HH:mm"
                required pattern="[0-9]{2}:[0-9]{2}"
                value={this.props.modalEndTime}
                onChange={this.handleEndTimeChange}
              />
            </div>
          </div>
          <div className={this.props.statusClass}>
            {this.props.statusMessage}
          </div>
          <button
            type="button"
            className="btn btn-primary"
            onClick={this.handleBookingSave}>
            Save
          </button>
          <button
            type="button"
            className="btn btn-warning"
            onClick={this.closeModal}>
            Cancel
          </button>
          <button
            type="button"
            className="btn btn-danger"
            onClick={this.handleBookingDelete}>
            Delete
          </button>
        </form>
      </div>
    );
  }
}

export default AdvancedBookingForm;
