import React from 'react';
import ReactDOM from 'react-dom';


import BigCalendar from 'react-big-calendar'
import "react-big-calendar/lib/css/react-big-calendar.css";
import "./../../css/big-calendar.css";
import moment from 'moment'
const localizer = BigCalendar.momentLocalizer(moment);

class BookingBigCalendar extends React.Component {
  bookingPropGetter(booking, start, end, isSelected) {
    // If the booking has a color defined, set is background color.
    if (booking.color != null) {
      return {
        style: {
          backgroundColor: booking.color,
        }
      }
    }
  }

  // Delegate the actions to the parent component.
  handleSelectBooking = (booking) => {
    this.props.handleSelectBooking(booking);
  }
  handleSelectSlot = ({ start, end }) => {
    this.props.handleSelectSlot({ start, end });
  }
  handleRangeChange = (range) => {
    this.props.handleRangeChange(range);
  }

  render() {
    return (
      <div>
        <BigCalendar
          selectable
          localizer={localizer}
          events={this.props.bookings}
          culture={this.props.dataLanguage}
          defaultView={this.props.calendarDefaultView}
          onNavigate={this.onNavigate}
          onRangeChange={this.onRangeChange}
          eventPropGetter={this.bookingPropGetter}
          onSelectEvent={this.handleSelectBooking}
          onSelectSlot={this.handleSelectSlot}
          onRangeChange={this.handleRangeChange}
        />
      </div>
    );
  }
}

export default BookingBigCalendar;
