import React from 'react';
import ReactDOM from 'react-dom';

import Modal from 'react-modal';
const modalStyles = {
  content: {
    top: '50%',
    left: '50%',
    right: 'auto',
    bottom: 'auto',
    marginRight: '-50%',
    transform: 'translate(-50%, -50%)',
    zIndex: '10',
  },
};
Modal.setAppElement(document.getElementsByClassName('nextpath_advanced_booking_form')[0]);

import AdvancedBookingForm from './AdvancedBookingForm';

class BookingModal extends React.Component {
  // Delegate the actions to the parent component.
  handleModalSelectChange = (e) => {
    this.props.handleModalSelectChange(e);
  }
  handleStartDateChange = (e) => {
    this.props.handleStartDateChange(e);
  };
  handleStartTimeChange = (e) => {
    this.props.handleStartTimeChange(e);
  };
  handleEndDateChange = (e) => {
    this.props.handleEndDateChange(e);
  };
  handleEndTimeChange = (e) => {
    this.props.handleEndTimeChange(e);
  };
  handleBookingSave = () => {
    this.props.handleBookingSave();
  };
  handleBookingDelete = () => {
    this.props.handleBookingDelete();
  };
  closeModal = () => {
    this.props.closeModal();
  }

  render() {
    return (
      <div>
        <Modal
          isOpen={this.props.modalIsOpen}
          onAfterOpen={this.afterOpenModal}
          onRequestClose={this.closeModal}
          contentLabel={this.props.modalTitle}
          style={modalStyles}>
          <h2 className="advanced-booking-form-title">{this.props.modalTitle}</h2>
          <AdvancedBookingForm
            modalStateSelect={this.props.modalStateSelect}
            dataStates={this.props.dataStates}
            modalStartDate={this.props.modalStartDate}
            modalStartTime={this.props.modalStartTime}
            modalEndDate={this.props.modalEndDate}
            modalEndTime={this.props.modalEndTime}
            statusClass={this.props.statusClass}
            statusMessage={this.props.statusMessage}
            handleModalSelectChange={this.handleModalSelectChange}
            handleStartDateChange={this.handleStartDateChange}
            handleStartTimeChange={this.handleStartTimeChange}
            handleEndDateChange={this.handleEndDateChange}
            handleEndTimeChange={this.handleEndTimeChange}
            handleBookingSave={this.handleBookingSave}
            handleBookingDelete={this.handleBookingDelete}
            closeModal={this.closeModal}
          />
        </Modal>
      </div>
    );
  }
}

export default BookingModal;
