import React from 'react';
import ReactDOM from 'react-dom';

import BookingFormButton from './BookingFormButton';
import BookingFormDatePicker from './BookingFormDatePicker';

class BookingForm extends React.Component {
  handleSubmit = () => {
    this.props.onFormSubmit();
  };
  handleStartChange = (date) => {
    this.props.handleStartChange(date);
  };
  handleEndChange = (date) => {
    this.props.handleEndChange(date);
  };

  render() {
    return (
      <form className="booking-form">
        <BookingFormDatePicker
          startDate={this.props.startDate}
          endDate={this.props.endDate}
          handleStartChange={this.handleStartChange}
          handleEndChange={this.handleEndChange}
        />
        <div className={this.props.statusClass}>
          {this.props.statusMessage}
        </div>
        <BookingFormButton
          onFormSubmit={this.handleSubmit}
          buttonDisabled={this.props.buttonDisabled}
        />
      </form>
    );
  }
}

export default BookingForm;
